Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004402TestLinkTest Plan (builds, milestones, test assign)public2011-04-12 03:072012-09-01 20:00
Reporterterryzuo 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004402: bulk update to lates version is not correct in 1.9.2
DescriptionThe latest Test Link seems to have an issue in “Update Linked Test Case Version” function.
When we want ot bulk update to latest version, the available active version of some test cases are incorrect.
see the attachment.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon 4-12-2011 11-07-02 AM.png [^] (29,037 bytes) 2011-04-12 03:07


png file icon 4-13-2011 1-52-38 PM.png [^] (48,092 bytes) 2011-04-13 05:53


png file icon 4-13-2011 2-16-18 PM.png [^] (12,093 bytes) 2011-04-13 05:54

- Relationships
duplicate of 0004682closedJulian Newest version is smaller than Linked version 
has duplicate 0004412closedJulian Update Linked Test Case Version propose some downgrade 
has duplicate 0004471closedJulian Show test case newest version shows old versions as newest 

-  Notes
(0014568)
Julian (reporter)
2011-04-12 05:20

Did you modify version 1 after version 2 ? Please check modification AND creation timestamps.
How was this test case created? manual? from requirement ? imported?

I remember i encountered this problem some time ago (definitely before 1.9.1) but i am not sure what the reason was.
(0014569)
fman (administrator)
2011-04-12 06:17

please provide detailed steps to reproduce
(0014571)
terryzuo (reporter)
2011-04-12 09:32

I upgrade the DB from 1.9.0.
It is Ok
1.with "Update Test Plan" page
2.if I create a new version for the case, the "bulk update to latest version" function will aslo be OK.

Maybe the root cause is the DB upgrade?
(0014572)
Julian (reporter)
2011-04-12 09:39
edited on: 2011-04-12 10:09

1. Answer my other questions please.
2. What is "Update Test Plan" page - please refer always to en_GB "language"
3. do you have access to db? find the appropriate data set for both on tcversions table and let us know the ids

(0014582)
terryzuo (reporter)
2011-04-13 05:53

Hi Julian,
The cases were created manually in 1.9.0, and we upgrade the DB to 1.9.2 according to the directions in the install package.

"Update Test Plan"page is the main screen for "update linked test case version",see the screen I added.

Attached is the snapshot of the version1/2 data set.
(0014583)
Julian (reporter)
2011-04-13 06:55

as you can see:

version 1 - id 57561
version 2 - id 57556

(as you did not copy column names i can only guess that 57561 is the internal db id and 256 is the (external) test case id and the next column is the version.

-> i am pretty sure this was a migration problem as version 2 cannot be created before version 1 in normal workflow and this is because testlink assumes the highest id is the highest version.

You already found the workaround -> create a new version that is a copy of version 2 and forget about version 2.
(0014588)
denjolras (reporter)
2011-04-13 20:09

I have the same issue, and described my scenario in bug 0004412
(0014954)
anders.gibson@gmail.com (reporter)
2011-05-25 10:58
edited on: 2011-05-25 10:59

Same thing happen for me in 1.9.2, after TestLink was upgraded from 1.8.5.

(0014955)
Julian (reporter)
2011-05-25 11:00

If you got any idea where the problem might be located let us know.
We do not plan further investigations on TL 1.9.x regarding this issue.
(0017373)
fman (administrator)
2012-09-01 20:00

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-04-12 03:07 terryzuo New Issue
2011-04-12 03:07 terryzuo File Added: 4-12-2011 11-07-02 AM.png
2011-04-12 05:20 Julian Note Added: 0014568
2011-04-12 06:17 fman Note Added: 0014569
2011-04-12 09:32 terryzuo Note Added: 0014571
2011-04-12 09:39 Julian Note Added: 0014572
2011-04-12 10:09 Julian Note Edited: 0014572 View Revisions
2011-04-13 05:53 terryzuo Note Added: 0014582
2011-04-13 05:53 terryzuo File Added: 4-13-2011 1-52-38 PM.png
2011-04-13 05:54 terryzuo File Added: 4-13-2011 2-16-18 PM.png
2011-04-13 06:55 Julian Note Added: 0014583
2011-04-13 20:09 denjolras Note Added: 0014588
2011-04-13 21:45 fman Relationship added has duplicate 0004412
2011-05-12 18:52 Julian Relationship added has duplicate 0004471
2011-05-25 10:58 anders.gibson@gmail.com Note Added: 0014954
2011-05-25 10:59 anders.gibson@gmail.com Note Edited: 0014954 View Revisions
2011-05-25 11:00 Julian Note Added: 0014955
2011-08-11 10:16 Julian Relationship added duplicate of 0004682
2011-08-11 10:16 Julian Status new => resolved
2011-08-11 10:16 Julian Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-08-11 10:16 Julian Resolution open => fixed
2011-08-11 10:16 Julian Assigned To => Julian
2012-09-01 20:00 fman Note Added: 0017373
2012-09-01 20:00 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker